#pragma once

#include "CoreMinimal.h"
#include "ChatHistoryEntry.h"
#include "ChatPlayerName.h"
#include "ChatHistory.generated.h"

USTRUCT(BlueprintType)
struct FChatHistory
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FChatHistoryEntry> _chatMessageHistory;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FChatPlayerName> _playerNames;

public:
	CHATHISTORY_API FChatHistory();
};

FORCEINLINE uint32 GetTypeHash(const FChatHistory) { return 0; }
